Name:           libdazzle
Version:        3.38.0
Release:        1
Summary:        Experimental new features for GTK+ and GLib
License:        GPLv3+
URL:            https://git.gnome.org/browse/libdazzle/
Source0:        https://download.gnome.org/sources/%{name}/3.38/%{name}-%{version}.tar.xz

BuildRequires:  gtk-doc meson vala gtk3-devel >= 3.24.0 glib2-devel >= 2.57.2 gobject-introspection-devel

# for tests
BuildRequires:  xorg-x11-server-Xvfb words

Requires:       glib2 >= 2.57.2 gtk3 >= 3.24.0

%description
libdazzle is a collection of fancy features for GLib and Gtk+ that aren't quite
ready or generic enough for use inside those libraries.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package_help

%prep
%autosetup -p1

%build
%meson -D enable_gtk_doc=true
%meson_build

%install
%meson_install

%check
xvfb-run -w 10 ninja test %{__ninja_common_opts} -C %{_vpath_builddir}

%files
%license COPYING
%doc AUTHORS NEWS
%{_bindir}/dazzle-list-counters
%{_libdir}/libdazzle-1.0.so.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Dazzle-1.0.typelib

%files devel
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Dazzle-1.0.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/libdazzle
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/libdazzle-1.0.*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libdazzle-1.0.pc

%files help
%doc README.md
%doc CONTRIBUTING.md examples

%changelog
* Mon Jun 7 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.0-1
- Upgrade to 3.38.0
- Update Version, Source0

* Sat Sep 19 2020 chengguipeng<chengguipeng1@huawei.com> - 3.37.1-1
- Package init 
